
install_and_load_dependencies <- function(libs){
  installed_packages <- installed.packages()
  
  installed_packages.names <- installed_packages[,1]
  
  for(lib in libs) {
    if(lib %in% installed_packages.names){ library(lib, character.only = TRUE) }
    else{
      install.packages(lib)
      library(lib, character.only = TRUE) 
    }
  }
}
